<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class UserProfile extends Model
{
    protected $fillable = [
    'user_id',
    'real_name',
    'nickname',
    'phone_country_code',
    'phone_number',
    'gender',
    'country',
    'book_name',
    'author_name',
    'short_description',
    'favorite_quotes',
    'profile_photo',
    'book_cover',
    'verification_status',
      'terms',
];
protected $casts = [
    'terms' => 'boolean',
];


    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
   public function likes()
{
    return $this->hasMany(UserProfileLike::class, 'profile_id');
}


}
